Subject: Re: bug#24190: bunzip2ing during sending... user feels he is being sniffed

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Jan 2017 00:30:25 +0100

M9< Dan Jacobson <[email-masked]> writes:

> I sent a mail with a bzip2 attachment,
> and during so I see these messages:
>
> Sending...
> Mark set [2 times]
> bunzip2ing /tmp/acsb.cpio.bz2...done
> bunzip2ing /tmp/acsb.cpio.bz2...done
> Sending via mail...
> Sending...done
>
> Which is like the NSA opening my letter and inspecting it and sealing it
> back up again. What's going on.

:-)

Yeah, the code was apparently trying to determine the charset of the
.bz2 file, which has to be nonsensical.  It's a binary file included
verbatim; it doesn't have a charset.  I've now removed that check and
the messages should be gone now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no